using System;

namespace ConsoleApp15
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            string[] r = Console.ReadLine().Split();
            int a = int.Parse(s[0]); int b = int.Parse(s[1]);
            int x = int.Parse(r[0]); int y = int.Parse(r[1]);

            if (a == x && y < b)
                Console.WriteLine("drugi");
            else if (x < a && b == y)
                Console.WriteLine("prvi");
            else if (a == x && b == y)
                Console.WriteLine("nijedan");
            else
                Console.WriteLine("?");

        }
    }
}